# A simple MongoDB Cluster

This bundle deploys a simple 3-shard [MongoDB](http://www.mongodb.org/)
cluster.

It is an automated version of [this blog
post](http://blog.xtremeghost.com/2012/11/lets-shard-something.html). 

## Scaling

To add more units you need to add them to each specific shard, so:

    juju add-unit shard1

or

    juju add-unit -n5 shard2

and so on. 

## Known Limitations and Issues

This bundle has the same limitations and issues as the [MongoDB
charm](http://jujucharms.com/precise/mongodb), refer to its documentation for
more information.

# Contact Information

## MongoDB Contact Information

- [MongoDB website](http://mongodb.org) 
- [MongoDB documentation](http://www.mongodb.org/display/DOCS/Home)
- [MongoDB bug tracker](https://jira.mongodb.org/secure/Dashboard.jspa)
- [MongoDB user mailing
  list](https://groups.google.com/forum/#!forum/mongodb-user)
